import mongoose from 'mongoose'

const PlayerSchema = new mongoose.Schema({
  created: Date,

  category: String,
  licenseNr: String,
  gender: String,
  name: String,
  firstName: String,
  birthDate: Date,
  phonePrivate: String,
  phoneWork: String,
  phoneMobile: String,
  email: String,
  ranking: String,
  licenseNrDP: String,
  nameDP: String,
  firstNameDP: String,
  birthDateDP: String,
  rankingDP: String,
  confirmed: Boolean,
  paid: Boolean,

  doubles: Boolean,
  junior: Boolean,
  fullName: String,
  phone: String,
  idString: String,
})

const Player = mongoose.model('Player', PlayerSchema)

export default Player
